package client.gui.element;

import common.util.Util;

public class PasswordField extends Field {
	public PasswordField(int x, int y, int w, int h, int cap, FieldCallback callback, String text) {
		super(x, y, w, h, cap, callback, text);
	}
	
	protected String getDrawnText() {
		return Util.repeatString("*", this.text.length());
	}
	
	protected boolean canCopy() {
		return false;
	}
}
